Subject: Re: linux-next: build failure after merge of the block tree

From: Sedat Dilek <[email-masked]>
Date: Fri, 7 Jan 2011 19:04:56 +0100

On Fri, Jan 7, 2011 at 4:08 PM, Jens Axboe <[email-masked]> wrote:
> On 2011-01-07 15:22, Stephen Rothwell wrote:
>> Hi,
>>
>> On Fri, 7 Jan 2011 14:19:33 +0100 Sedat Dilek <[email-masked]> wrote:
>>>
>>> Hmm, I have pulled-in freshly from linux-2.6-block#for-next after you
>>> published latest linux-next (next-20110107).
>>> So, I guessed the (reported) issue is fixed, now.
>>
>> No, the commit that caused the warnings was removed when I went back to
>> using the block tree from next-20110106.  So it will come back unless
>> fixed.
>
> It is fixed in linux-2.6-block#for-next as-of earlier today, so if Sedat
> pulled from there it should be gone.
>
> --
> Jens Axboe
>
>

I guess 0002 should fix it, its not the case (patch + "big diff" attached).

- Sedat -

sd@tbox:~/src/linux-2.6/linux-2.6.37/debian/patches$ LC_ALL=C ls -l
linux-2.6-block-for-next/
total 44
-rw-r--r-- 1 sd sd  5903 Jan  7 10:33
0001-block-add-internal-hd-part-table-references.patch
-rw-r--r-- 1 sd sd  2382 Jan  7 10:33
0002-block-trace-event-block-fix-unassigned-field.patch
-rw-r--r-- 1 sd sd  3400 Jan  7 10:33
0003-block-cfq-don-t-use-atomic_t-for-cfq_queue.patch
-rw-r--r-- 1 sd sd  3387 Jan  7 10:33
0004-block-cfq-don-t-use-atomic_t-for-cfq_group.patch
-rw-r--r-- 1 sd sd   403 Jan  7 10:33 Shortlog
-rw-r--r-- 1 sd sd   527 Jan  7 10:33 diffstat
-rw-r--r-- 1 sd sd 12797 Jan  7 10:33 linux-2.6-block-for-next.patch